import { Component, Prop, h } from "@stencil/core";
export class SSaqhanBlogCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category small pt-4";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" },
            h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.post.img + ")" } }),
            h("div", { class: this.ColorCategory(this.post.category) }, this.post.category),
            h("div", { class: "blog-title pt-3 font-weight-bold" }, this.post.title),
            h("div", { class: "btn-read pt-3" },
                h("a", { href: "/second-page/" },
                    " ",
                    this.post.btnText,
                    " "))));
    }
    static get is() { return "s-saqhan-blog-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-blog-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-blog-card.css"]
    }; }
    static get properties() { return {
        "post": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "post",
            "reflect": false
        }
    }; }
}
