import { Component, h, Prop } from '@stencil/core';
export class SSaqhanFirstSlider {
    mainNews(arr) {
        return (arr.filter(item => item.main) || []).slice(-1);
    }
    lentaNews(arr) {
        return (arr.filter(item => item.lenta)).slice(-4).reverse();
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row pt-5 pb-5" },
                h("div", { class: "col-12 col-lg-7" },
                    h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })),
                h("div", { class: "col-12 col-lg-5" },
                    h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    }
    static get is() { return "s-saqhan-first-slider"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-first-slider.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-first-slider.css"]
    }; }
    static get properties() { return {
        "blogCarouselMock": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "blog-carousel-mock",
            "reflect": false
        }
    }; }
}
// получает и передает в компонент элементы
const MainNews = (props) => {
    return (props.arr.map((item) => {
        return h("s-saqhan-main-news-card", { mainNews: item });
    }));
};
//лента новостей
const LentaNews = (props) => {
    return (props.lenta.map((item) => {
        return h("s-saqhan-lenta-news-card", { lentaNews: item });
    }));
};
